/**
 * Менеджер моделей.
 * Представляет собой интерфейс для доступа ко всем моделям
 * Позволяет по адресу модели, получить на нее ссылку.
 *
 * @group manager
 * @namespace Models
 */
function Models() {
    /**
     *  Вернет ссылку на модель. В качестве идентификатора следует указать адрес дерева.
     *
     * @public
     * @function get
     * @param {v2.address} address Адрес модели
     * @returns {tools.promise(Models.Model)}
     * @memberof Models
     */
    this.get = function (address) {

    };
}