/**
 * Менеджер деревьев.
 * Представляет собой интерфейс для доступа ко всем деревьям
 * Позволяет по тегу дерева получить на него ссылку.
 * На текущий момент содержит в себе: 
 *  - global_tree (Основное дерево)
 *  - global_attribute_tree (Дерево, которое предоставляет доступ к атрибутам)
 *  - desktop_tree (Представляет рабочий стол)
 *  - remote_modules_tree (Представляет собой дерево сборщиков)
 *  - scheme_tree (Топология)
 *  - user_attribute_tree (Пользовательские данные)
 *
 * @group manager
 * @namespace Trees
 */
function Trees() {
    /**
     *  Вернет ссылку на дерево. В качестве идентификатора следует указать тег дерева.
     *
     * @public
     * @function get
     * @param {v2.string} treeTag Тег дерева. Например: "rmt", "uat"
     * @returns {tools.promise}
     * @memberof Trees
     */
    this.get = function (treeTag) {

    };
    /**
     * Возвращает булевое значение о существовании дерева
     *
     * @public
     * @function is_tree_exist
     * @param {v2.string} treeTag Тег дерева. Например: "rmt", "uat"
     * @returns {boolean}
     * @memberof Trees
     */
    this.is_tree_exist = function (treeTag) {

    }
}